# Validate this file using http://lint.travis-ci.org/
language: python
python: "2.7"
addons:
  postgresql: "9.4"
services: redis-server
before_install:
  - sudo apt-get update -qq
  - sudo apt-get install -y swig
  - pip install -r requirements.txt
  - pip install psycopg2
install: pip install .
before_script:
  - psql -c 'DROP DATABASE IF EXISTS mutalyzer_test;' -U postgres
  - psql -c 'CREATE DATABASE mutalyzer_test;' -U postgres
  - mysql -e 'CREATE DATABASE IF NOT EXISTS mutalyzer_test;'
script: py.test --redis-uri redis://localhost --database-uri sqlite:// --database-uri postgres://postgres@127.0.0.1/mutalyzer_test --database-uri mysql://travis@127.0.0.1/mutalyzer_test?charset=utf8
